按键精灵 : 升级说明
=========================================
通过全球38家杀毒软件最顶级严格检测，无病毒无误报！
http://www.anjian.com/viruscheck.htm

9.63.12960版 2014.4.21
\ 按键精灵
|-- 解决 区域找图命令经常出现“内部应用程序出错”问题
|-- 解决 当前行脚本末尾添加注释回车时，无法自动补全问题
|-- 解决 导出脚本后无法在打开的文件夹中定位的问题
|-- 优化 输入“Set”与自动联想“SetSimMode”冲突问题 

\ 插件与命令
|-- 解决 无法导入插件带有“.Html”帮助文件的问题
|-- 解决 我的命令库“文件”命令读取和遍历不正常问题


9.62.12646版 2013.12.31
\ 按键精灵
|-- 新增 脚本源文件视图下选择脚本行功能
|-- 新增 脚本源文件视图下脚本视图颜色设置
|-- 新增 鼠标拖动多个脚本导入到脚本列表中
|-- 新增 鼠标拖动多个文件到附件中支持“全部”覆盖功能
|-- 优化 “发布”功能菜单为使用其中一项后即为默认功能 

\ 界面
|-- 新增 热键控件支持“Change”改变事件
|-- 解决 快速双击多选框控件时，触发的单击事件无响应问题

\ 插件与命令
|-- 新增 获取当前脚本MacroID值“GetMacroID”命令
|-- 解决 我的命令库“算法”角度计算不正确问题

\ 小精灵
|-- 解决 免费型小精灵“保存设置”功能按钮丢失问题
|-- 解决 点击“恢复默认”无法保存参数设置问题


9.61.12282版 2013.08.20
\ 按键精灵
|-- 解决 使用“.ocx”界面时无法读取配置内容问题

\ 界面
|-- 解决 输入框控件在选项卡控件内，切换选项方向时会变小问题

\ 插件与命令
|-- 解决 小精灵无法使用Plugin目录下插件问题
|-- 解决 Window插件Foreground得到当前窗口句柄无法获取句柄问题
|-- 解决 ColorEx插件FindMultiColor区域多点找色单独使用崩溃问题


9.60.12177版 2013.07.04
\ 最大亮点
|-- 新增 在脚本中可以对界面的控件属性值进行赋值设置

\ 按键精灵
|-- 新增 视图前进和后退编辑功能
|-- 新增 在源文件视图下按住“Ctrl+左键单击”函数跳转功能
|-- 新增 附件支持缩略图显示功能
|-- 新增 添加和释放多个附件文件时支持全部覆盖功能
|-- 新增 插件支持导入功能
|-- 解决 切换多脚本标签页容易误关闭问题
|-- 解决 在调试状态下切换到我的命令库不能退出调试问题

\ 界面
|-- 新增 标签控件支持设置文本对齐属性
|-- 新增 按钮控件支持设置文字颜色、背景颜色和图像路径属性
|-- 新增 单选框和多选框支持设置文本对齐、文本居右和样式属性
|-- 新增 下拉框支持设置文字颜色属性
|-- 新增 选项卡支持设置各种颜色、样式、选项方向和选项高度属性

\ 插件与命令
|-- 新增 我的命令库支持html帮助文件
|-- 解决 Color插件FindMutiColor区域多点找色命名错误问题
|-- 解决 File插件IsFileExit判断文件是否存在命名错误问题
|-- 解决 Select情况选择命令判断选择流程错误问题

\ 抓点抓色
|-- 解决 定位起点坐标不能设置为负数问题
|-- 解决 找图找色测试输入框和滑块相似度值不同步问题
|-- 解决 设置屏幕范围截图会出现黑色区域问题
|-- 解决 bmp图片无法拖放到图像截取界面中问题
|-- 解决 获取当前父窗口的类名错误问题


9.55.11965版 2013.04.26
\ 按键精灵
|-- 调整 软件退出窗口


9.51.11790版 2013.02.01
\ 按键精灵
|-- 优化 自动升级功能


9.50.11632版 2012.11.16
\ 界面
|-- 解决 获取控件属性值时会导致界面闪屏问题

\ 插件与命令
|-- 解决 Window插件无法使用问题

\ 其他
|-- 解决 “导入工具”转换脚本部分内容错误问题


9.50.11578版 2012.10.29
\ 主界面
|-- 新增 托盘脚本任务管理器
|-- 新增 自动升级功能，用于补丁的强制升级

\ 编辑器
|-- 新增 自动联想Sub子程序名与Function函数名功能
|-- 新增 跳转到行号功能(热键：Ctrl+G)
|-- 解决 在源文件视图下“智能纠错”功能失效问题

\ 界面
|-- 新增 滑块控件
|-- 新增 进度条控件
|-- 新增 列表框控件
|-- 新增 热键控件
|-- 新增 浏览框控件
|-- 新增 调用Event事件功能
|-- 新增 控件锁定功能
|-- 新增 输入框控件文本内容对齐属性功能
|-- 新增 容器控件样式属性功能
|-- 新增 Form窗体最佳尺寸标注
|-- 新增 控件水平和垂直居中对齐功能
|-- 优化 进入调试状态后可以立即设置界面
|-- 优化 在调试状态下自定义界面支持全部显示
|-- 解决 选项卡里的标签控件无法在组合框控件之上问题
|-- 解决 脚本中无法获取下拉框控件的ListIndex索引号问题
|-- 解决 Form窗体名称为中文时导致Event事件无法运行问题
|-- 解决 鼠标双击工具箱中的“指针”会造成软件异常问题

\ 设置
|-- 新增 共享模式热键功能


9.33.11393版 2012.09.06
\ 按键精灵
|-- 优化 注册系统升级


9.31.11269版 2012.07.27
\ 编辑器
|-- 新增 导入资源库资源时会有进度条显示
|-- 解决 调试状态下按启动热键会导致其他的脚本被运行问题
|-- 解决 更改热键为鼠标热键后，进入调试状态不能显示问题
|-- 解决 自动补全功能换行后末尾会多加空格问题
|-- 解决 软件最大化后，点击标题栏位置无法激活最前面问题
|-- 解决 取消修改脚本时提示使用自动备份的脚本后为空文档问题
|-- 解决 释放附件文件时，无法取消覆盖问题

\ 界面
|-- 新增 Form窗体背景颜色设置
|-- 解决 Form窗体默认大小会被改变问题
|-- 解决 下拉框控件不能使用等宽高对齐问题
|-- 解决 设置字体后无法撤销问题
|-- 解决 标签控件设为透明属性后修改标题刷新不正常问题
|-- 解决 删除选项卡控件上所有控件，撤消后显示不正常问题
|-- 优化 设计阶段移动控件数量过多时速度缓慢问题
|-- 调整 控件的风格改为XP样式，大幅提升编辑速度
|-- 调整 移除组合框控件背景颜色设置

\ 插件与命令
|-- 新增 定义全局变量Global命令
|-- 解决 定义局部变量后会导致返回值为空的问题
|-- 解决 Randomize命令末尾添加注释会报错问题
|-- 解决 Msg插件Tips命令的提示内容过多会导致崩溃问题
|-- 优化 硬件模拟和超级模拟支持64位系统

\ WQM网页按键精灵
|-- 解决 录制完脚本后不能正常保存的问题

\ 抓点抓色
|-- 解决 图像处理裁切功能的调节点无法拖动问题

\ 其他
|-- 新增 需要登陆论坛帐号才能制作免费型小精灵
|-- 解决 会员帐号过期会导致脚本无法启动运行问题
|-- 优化 神盾支持64位系统


9.21.10865版 2012.03.15
\ 主界面
|-- 新增 加密的脚本支持右键查看源文件位置功能

\ 界面
|-- 解决 定时器控件运行10分钟后会出现异常崩溃问题
|-- 解决 部分9.0版带界面的脚本无法兼容问题

\ 命令
|-- 解决 嵌套使用Function函数时，造成If的And判断不正确问题


9.20.10818版 2012.02.20
\ 主界面
|-- 新增 加密的脚本支持导出功能

\ 编辑器
|-- 解决 添加新“.ocx”界面文件时，界面不刷新问题
|-- 解决 源文件视图下没有对“.tab”属性进行气泡提示
|-- 解决 修改我的命令库脚本保存后，调用不生效问题
|-- 解决 附件中预览BMP格式图片时会显示不正常问题
|-- 解决 在WIN7下显示执行次序的语句编号高度显示不够问题
|-- 解决 首字母为“Tab”符号时，自动联想功能不正常问题
|-- 优化 自动补全功能会引起控制类语句多补结束语问题

\ 界面
|-- 新增 单选框控件
|-- 新增 定时器控件
|-- 新增 连续生成控件功能
|-- 新增 标签控件支持点击事件、自动大小和多行编辑功能
|-- 新增 图像控件支持点击事件和设置图像路径功能
|-- 新增 右键菜单“置于顶层”、“置于底层”和“查看脚本”功能
|-- 新增 属性栏选择控件下拉框添加控件的所属类型
|-- 新增 输入框控件支持多行输入功能
|-- 解决 输入框控件密码设置为“是”时，不能正常读取问题
|-- 解决 输入框控件输入中文词组时会出现乱码问题
|-- 解决 输入框控件失去焦点会产生死循环问题
|-- 解决 修改控件名称大小写时会提示存在重名问题
|-- 解决 打开界面时会出现部分控件不显示问题
|-- 解决 下拉框控件列表内容过多会出现乱码问题
|-- 解决 控件的显示顺序数字过大导致溢出造成崩溃问题
|-- 优化 控件的风格改为经典样式
|-- 优化 控件名称不能以关键字来命名
|-- 优化 选项卡控件属性栏设置功能

\ 命令
|-- 新增 线程停止“OnThreadExit”子程序事件
|-- 新增 获取当前线程ID“GetThreadID”命令
|-- 解决 延时“Delay”命令参数为负数时，导致脚本不运行问题
|-- 解决 情况条件选择“Select Case”命令对控件的赋值判断问题
|-- 解决 循环“For”命令参数使用环境变量时造成无法步进问题

\ 抓点抓色
|-- 新增 图像处理功能


9.10.10413版 2011.12.07
-------------------
\ 命令
|-- 解决 环境变量四则运算错误


9.10.10330版 2011.12.05
\ 会员
|-- 解决 非会员充值后，用户登陆状态还是普通会员未及时更新问题
|-- 解决 会员专区精品教程无法直接进入论坛会员教程专区问题
|-- 解决 会员充值成功后，提示信息显示不完全问题
|-- 解决 打开学习中心进入按键网，帐号没有自动登陆问题
|-- 优化 会员注册成功后，生成免费型小精灵默认去广告

\ 主界面
|-- 解决 脚本列表上右键选“运行脚本”，按暂停键会无效问题
|-- 解决 设置里面的“默认值”对某些设置失效问题
|-- 解决 版本升级功能的显示进度数字会重影问题

\ 编辑器
|-- 新增 多行注释功能“/*...*/”
|-- 新增 当前脚本在调试状态下，标签名显示“[调试] ”字样
|-- 新增 添加同名附件时提示是否覆盖
|-- 新增 “自动缩进”功能支持清除空行
|-- 新增 我的命令库对命令按A~Z排序
|-- 解决 编辑脚本时，界面控件名联想不一致问题
|-- 解决 源文件视图下使用折叠功能时，会导致一系列操作崩溃问题
|-- 解决 使用OCX界面后按保存退出，会弹出提示是否保存问题
|-- 解决 新建进入编辑器，马上打开一个脚本会无法调试问题
|-- 解决 回车自动格式化功能不能识别NOT关键字问题
|-- 解决 插件无帮助时的连接提示，点击时按默认浏览器打开
|-- 解决 第一次新建脚本后修改命令库时，调试按钮没变灰问题
|-- 解决 新建两个脚本后再打开两个脚本，提示信息不对问题
|-- 解决 调试状态下反复按“暂停/继续 ”热键会出现异常问题
|-- 解决 调试下当命令库有输出信息时，点击会导致软件异常问题
|-- 优化 调试下屏蔽自动缩进、智能纠错、查找并替换和保存退出功能
|-- 优化 调试信息窗口输出调试内容时，能够显示最后一行内容

\ 界面
|-- 新增 容器控件
|-- 新增 选项卡控件
|-- 新增 部分控件支持文字字体和颜色以及背景颜色设置
|-- 新增 标签控件背景支持透明设置
|-- 新增 鼠标框选时，只要碰到控件边缘就能选中
|-- 新增 窗体LoadOver事件，当界面控件和参数都加载完后触发
|-- 解决 窗体的Left和Top属性在脚本中获取不到其值的问题
|-- 解决 获取输入框控件文本内容时不是字符串问题
|-- 解决 输入框控件文本内容删除后，无法保存空内容问题
|-- 解决 多脚本之间控件复制后不可以粘贴问题
|-- 解决 下拉框控件索引号为0时，返回值变成字符串问题
|-- 解决 界面脚本语法错误时，查看界面时提示界面加载失败问题
|-- 解决 控件名称可使用数字开头命名问题
|-- 解决 控件属性有效和显示的类型不是布尔型问题
|-- 解决 控件位置为负数时，复制此控件再粘贴会出现位置溢出问题
|-- 解决 多选框控件背景变黑问题
|-- 解决 界面右键菜单“剪切”字体变为粗体问题
|-- 解决 控件调节点在预览下会被预览窗口擦除掉问题
|-- 优化 控件摆放过多时，打开界面时会造成速度缓慢问题

\ 插件与命令
|-- 新增 If命令支持“a<b<c”两个同样符号判断表达式，等同于and
|-- 解决 我的命令库里命令紊乱问题
|-- 解决 上万行的命令库在保存时会出现“内存不足”软件消失问题
|-- 解决 启动脚本后插拔USB鼠标会导致电脑蓝屏的问题
|-- 解决 定义环境变量为下标时，导致数组使用无效问题
|-- 解决 “Select Case”命令不支持函数参数问题
|-- 解决 “MsgBox”命令在特殊情况下使用会提示下标越界问题
|-- 解决 命令库“判断是否在一条直线上”命令不正确问题
|-- 优化 键盘按键和鼠标点击次数编译时进行特殊编译优化

\ 小精灵
|-- 解决 制作小精灵选择背景图片后，会改变当前默认路径问题
|-- 解决 自定义界面上随便点击造成自定义信息无法保存问题

\ WQM网页按键精灵
|-- 解决 无法下载源码库里的脚本问题
|-- 解决 需要以管理员身份启动问题

\ 抓点抓色
|-- 新增 放大镜窗体，增强取色功能(可抓取透明风格窗体颜色)
|-- 新增 放大镜窗体，获取颜色实时显示HSL分量
|-- 新增 放大镜窗体，恢复抓10点坐标颜色初始状态
|-- 新增 找图找色测试功能，支持脚本生成
|-- 新增 支持抓点热键自定义设置
|-- 新增 查看父窗口句柄信息
|-- 新增 查看鼠标在句柄客户区内坐标
|-- 新增 鼠标拖动获取窗口句柄
|-- 新增 截图时可截取鼠标形状
|-- 解决 拖动窗口会卡死的问题
|-- 优化 放大镜窗体，扩大放大镜显示范围
|-- 优化 句柄树列表调整
|-- 优化 主窗体功能布局调整


9.00.9460版 2011.08.11
-------------------
\ 最大亮点
|-- 新增 全新的会员系统，支持一号式登录
|-- 新增 脚本界面功能（简称QUI）
|-- 新增 内置资源库，提供热门插件、命令库等资源下载
|-- 新增 按键资源网，一网打尽各种资源
|-- 优化 全新的界面风格，给您带来不一样的体验

\ 主界面
|-- 新增 会员登录功能，可用于论坛帐号登录和充值续费
|-- 新增 找脚本和卖脚本，为不同用户群提供更多选择
|-- 新增 工具栏加入运行脚本功能按钮
|-- 新增 学习中心，可进入资源网学习
|-- 新增 录制鼠标中键功能
|-- 解决 源文件视图下粘贴脚本内容时会出现不换行问题
|-- 解决 在子程序折叠尾部按回车后切换视图会崩溃问题
|-- 解决 关闭多脚本标签不提示问题
|-- 解决 调试状态下几个控制按钮背景变黑问题
|-- 解决 软件打开时，部分系统无法正常关机问题
|-- 解决 制作小精灵在没有设置标题时，不使用默认标题问题
|-- 优化 脚本分类标签调整为列表形式
|-- 优化 脚本保存时提示信息

\ 编辑器
|-- 新增 资源库提供精品插件和命令库等资源下载
|-- 新增 脚本界面功能以及控件事件命令
|-- 新增 命令库“API”设置窗口鼠标穿透、取消窗口设置命令
|-- 新增 命令库“文件”判断文件夹、遍历目录所有文件夹名命令
|-- 优化 脚本附件的界面设计
|-- 优化 导出脚本功能菜单移动到发布分类下

\ 插件与命令
|-- 新增 ColorEx颜色插件增强版，功能更强
|-- 新增 File插件“SetAttrib”设置文件属性隐藏和取消隐藏
|-- 新增 Window插件“SearcEx”和“GetTextEx”命令
|-- 解决 Import命令不能加载易语言插件问题

\ 抓点抓色
|-- 解决 放大器在WIN7下会卡的问题
|-- 解决 取色会出现“FFFFFFFF”问题


8.31.8583版 2011.05.18
-------------------
\ 按键精灵
|-- 新增 支持64位系统下录制功能
|-- 解决 LockMouse鼠标锁定命令会有晃动问题
|-- 修复 不同视图下设置断点没有同步和格式化会消失问题
|-- 修复 调试状态下脚本行内容上按回车会导致错误问题
|-- 修复 多脚本编辑时光标定位不正确问题
|-- 修复 源文件视图下按回车会导致当前行脚本错误问题
|-- 修复 当修改文件名时保存会异常问题
|-- 修复 自动补全异常问题
|-- 优化 命令库“键盘”键盘组合键会出现不正常问题
|-- 优化 命令库“网络”获取网络时间不稳定问题

\ 插件
|-- 修复 Msg插件Tips使用异常问题
|-- 修复 Color插件多点找色命令无法使用问题

\ 网页按键精灵
|-- 解决 Web插件的HtmlInput命令输入无法换行问题

\ 抓点抓色
|-- 解决 设置起点偏移导致抓色不对问题


8.21.8100版 2011.03.10
-------------------
\ 按键精灵
|-- 解决 脚本运行有一定几率无法启动问题
|-- 解决 区域多点找形状命令界面插入命令时异常问题



8.20.7619版 2010.12.16
-------------------
\ 按键精灵
|-- 新增 多文档编辑功能，支持命令库编辑
|-- 新增 保存日志功能LogStart、LogStop
|-- 新增 多线程命令StopThread、PauseThread、ContinueThread
|-- 新增 重启脚本RestartScript和退出脚本ExitScript命令
|-- 新增 调试步过功能，支持自定义热键
|-- 新增 语法自动补全功能
|-- 新增 支持脚本文件名修改功能
|-- 新增 命令库“API”调用API命令测试功能
|-- 解决 命令库“网络”角度计算函数计算角度值不准确问题
|-- 优化 精确录制鼠标单击
|-- 优化 自动缩进功能效率

\ 插件
|-- 新增 支持调用易语言DLL插件
|-- 新增 插件帮助说明支持MHT格式
|-- 优化 内存插件查找效率


8.10.7234版 2010.09.16
-------------------
\ 按键精灵
|-- 新增 支持直接调用Windows API（测试）
|-- 新增 设置编辑器普通视图下语法高亮颜色
|-- 新增 脚本支持换行连接符“_”
|-- 新增 附件内容支持手动释放和BMP图片预览功能
|-- 新增 制作小精灵时可记录多个使用说明
|-- 新增 命令库“文件”插入、替换文本内容和遍历文件名函数
|-- 新增 命令库“算法”洗牌、角度计算、判断是否在一条直线上
|-- 新增 命令库“系统”结束进程函数
|-- 新增 托盘图标提示脚本暂停状态为“*”
|-- 解决 OnScriptLoad事件里使用释放插件无法替换问题
|-- 解决 释放附件插件无法覆盖的问题
|-- 解决 超级模拟鼠标无法双击问题
|-- 解决 源文件下脚本命令帮助提示在win7系统下显示不全问题
|-- 解决 导入脚本不能导入到当前分类下的问题
|-- 解决 脚本文件名带有"."号，导入后与原文件名不一致问题
|-- 解决 批注功能对中文名只能批注一个的问题
|-- 解决 单步调试时会自动激活调试窗口问题
|-- 解决 与多线程同时调用一个插件会提示缺少对象问题
|-- 优化 多线程结束后执行OnScriptExit事件过程问题
|-- 优化 编译生成小精灵新增进度条和制作比较慢问题
|-- 优化 自动补全功能
|-- 优化 调试记录执行次序时，按左右键不移动次序焦点问题
|-- 优化 命令库“网络”获得网页源文件和获得外网IP地址函数
|-- 优化 错误提示信息会被其他信息覆盖的问题
|-- 优化 命令库无法多次调用另一命令库函数的问题

\ 插件
|-- 新增 Msg插件Tips气泡提示命令
|-- 修复 Sys插件SetSc命令在windows2003下无法使用问题
|-- 修复 Memory插件ReadBinary读取的数据出现错误问题
|-- 修复 Bkgnd插件LeftUp命令不会弹起的问题

\ 小精灵
|-- 解决 在不打包插件情况下，自定义背景图不能正常显示的问题

\ 抓点抓色
|-- 新增 多点抓色辅助功能
|-- 修复 句柄树无法最大化问题
|-- 修复 全屏后有边框问题，以及截图不准确问题
|-- 修复 获取部分鼠标特征码不正确问题

\ 网页按键精灵
|-- 解决 地址栏限制长度输入问题
|-- 解决 部分页面不能打开的问题


8.00.6874版 2010.05.25
-------------------
\ 最大亮点
|-- 正式推出自主研发的Q语言脚本引擎！

\ 脚本引擎
|-- 优化 脚本执行速度大大加快
|-- 新增 变量名、过程名和函数名全面支持中文
|-- 新增 支持旧版脚本一键升级、智能纠错
|-- 新增 脚本后缀名进行调整，具体如下：
|   .Q  ：按键精灵8的脚本源码
|   .qml：命令库文件
|-- 新增 脚本库功能，多个脚本可复用脚本库的子程序
|   具体使用方法参见lib目录下的说明
|-- 优化 脚本执行的相对路径改为EXE所在目录
|-- 新增 Function(函数)功能，支持传参数和返回值
|-- 优化 支持Select Case,For...Next等绝大多数VBS命令
|-- 新增 键盘命令支持字符串参数，例如“Keypress "A",1”
|-- 解决 插件调用一段时间会失效的问题
|-- 解决 脚本使用超级模拟无法按键盘WIN键问题

\ 主界面
|-- 新增 新手上路教学帮助，20秒学会基本操作
|-- 新增 “导入工具”支持导入7.x版脚本
|-- 新增 “自动保存”脚本和“灾难恢复”功能
|-- 新增 对比脚本功能，选中2个脚本点鼠标右键即可对比区别
|-- 调整 存放脚本的文件夹改名为QMScript

\ 编辑器
|-- 新增 “智能纠错”功能，自动纠正脚本错误
|-- 优化 “自动缩进”功能（热键：F4）
|-- 优化 调试功能加入热键支持（热键：F5）
|-- 调整 编辑器集成了主界面的所有菜单功能
|-- 新增 支持设置源码视图的字体(设置->脚本编辑)
|-- 新增 源文件视图下右键菜单新增“批注”功能
|-- 新增 支持在一行脚本末尾用 // 命令添加注释
|-- 新增 源文件视图下按Shift+鼠标左键选择多行脚本内容
|-- 新增 源文件视图下右键菜单增加全部折叠和展开功能
|-- 调整 普通试图下按【Ctrl+单击】跳转到相应目标
|-- 优化 编辑器会自动记忆用户上一次关闭时的窗口状态
|-- 优化 编辑器“全部命令”里加入搜索命令功能
|-- 解决 编辑脚本时清空临时文件夹会丢失附件的问题
|-- 解决 设置硬件模式后，在调试下按热键无法启动的问题

\ 小精灵
|-- 新增 会员制作小精灵新增“去广告”功能
|-- 新增 制作小精灵支持“方案”功能，多套设置一键切换
|-- 新增 制作小精灵时自动打包所用到的插件
|-- 新增 制作小精灵时自动保存使用说明内容
|-- 新增 界面增加启动、暂停/继续和中止按钮
|-- 解决 运行时出现126错误问题

\ 插件
|-- 新增 插件命令全面支持中文翻译
|-- 新增 Color插件中FindMutiColor命令中加入反色判断功能
|-- 修复 Color插件中FindMutiColor命令出现异常失效的BUG
|-- 修复 Bkgnd插件FindColor命令返回值错误的问题 
|-- 修复 File插件WriteFileEx命令在文件不存在使用会异常问题
|   修复 File插件SetData命令处理结果错误的问题
|   修复 File插件ReadFileEx命令返回值错误的问题
|-- 修复 Window插件GetWindowRect默认返回空值的问题
|   修复 Window插件GetClientRect默认返回空值的问题
|-- 修复 Pic插件中PrintScreen命令长时间使用出现内存不足
|-- 修复 Media插件Play命令在Win7下使用出现异常问题
|-- 修复 ReadIni命令不能读取超长字符串的BUG

\ WQM网页按键精灵
|-- 解决 WQM录制的脚本支持8.x语法
|-- 解决 部分游戏中会出现非法操作的问题

\ 抓点抓色
|-- 新增 句柄树搜索功能
|-- 新增 调用Windows自带画图工具编辑图片的功能
|-- 解决 WIN7和VISTA下运行比较卡的问题
|-- 解决 勾上指定句柄截图导致内存不断增加问题

\ 其他
|-- 新增 错误处理查询和在线提交功能




特别提示
-------------------
如需查看按键精灵更详细的升级情况，请访问按键精灵官方网站
www.ajjl.cn
